文章归档友情连接照片地图

ubuntu10.04下apache2安装配置Zend Guard代替Zend Optimizer

分类:服务器技术  作者:rming  时间:2011-05-11

由于ubuntu 10.04下通过apt-get安装的php是5.3的,有些php程序使用了Zend Optimizer,php5.3又不支持,通过以下方法安装Zend Guard后,就可以正常打开php程序了,下面是ubuntu-server+apache2环境下的操作
1.下载:
http://www.zend.com/en/products/guard/downloads
下载好像还要登陆

可以下载这个 2011.05.11的 32位linux/mac版本loader

2.解压

sudo  tar xvzf   ZendGuardLoader-php-5.3-linux-glibc23-i386.tar
cd php-5.3.x
sudo  cp  ZendGuardLoader.so     /usr/lib/php5/ZendGuardLoader.so

3.修改php配置

sudo  vi /etc/php5/apache2/php.ini
zend_loader.enable = 1
zend_loader.disable_licensing=0
zend_loader.obfuscation_level_support=3
:wq

4、添加模块支持

sudo vi /etc/php5/apache2/php.ini
zend_extension="/usr/lib/php5/ZendGuardLoader.so"
:wq

5.重启apache服务

sudo service  apache2  restart

OK。下面可以看看phpinfo();啦!

phpinfo



  1. 内容很有见地,希望能了解更多,谢谢!

提交评论